Bug 1275666 - Log file shows: Undefined method `Rpm' for LinuxAdmin:Module
Log file shows: Undefined method `Rpm' for LinuxAdmin:Module
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
5.5.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.5.0
Assigned To: Nick Carboni
Milan Falešník
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-27 09:14 EDT by Thom Carlin
Modified: 2015-12-08 08:40 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.5.0.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:40:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thom Carlin 2015-10-27 09:14:50 EDT
Description of problem:

Error in logs: 

Version-Release number of selected component (if applicable):

5.5.0.7-beta1.3.20151021133253_ed40d96

How reproducible:

100%

Steps to Reproduce:
1. Bring up appliance
2. Examine evm.log
3.

Actual results:

undefined method `Rpm' for LinuxAdmin:Module

Expected results:


Additional info:

evm excerpt:

[----] W, [2015-10-22T08:07:24.801790 #13968:567994]  WARN -- : Diagnostics: [Installed RPMs] command [#<Proc:0x0000000b239398@/var/www/miq/vmdb/lib/vmdb/appliance.rb:182 (lambda)>] failed with error [undefined method `Rpm' for LinuxAdmin:Module]
Comment 2 Nick Carboni 2015-10-30 12:14:34 EDT
https://github.com/ManageIQ/manageiq/pull/5201
Comment 3 CFME Bot 2015-10-30 14:15:20 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/6259d184d94feeafef94e111a5c7191df65af711

commit 6259d184d94feeafef94e111a5c7191df65af711
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Fri Oct 30 12:11:33 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Oct 30 12:11:33 2015 -0400

    Reference Rpm as the class rather than the method
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1275666

 lib/vmdb/appliance.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 4 Nick Carboni 2015-10-30 16:18:25 EDT
Moving back to ONDEV until downstream MR is merged
Comment 5 CFME Bot 2015-11-04 15:06:18 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=3193190e786fcf47a28280699ffd88550d764929

commit 3193190e786fcf47a28280699ffd88550d764929
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Fri Oct 30 12:11:33 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Oct 30 16:02:52 2015 -0400

    Reference Rpm as the class rather than the method
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1275666

 lib/vmdb/appliance.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 7 CFME Bot 2015-11-04 15:11:35 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=3193190e786fcf47a28280699ffd88550d764929

commit 3193190e786fcf47a28280699ffd88550d764929
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Fri Oct 30 12:11:33 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Oct 30 16:02:52 2015 -0400

    Reference Rpm as the class rather than the method
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1275666

 lib/vmdb/appliance.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 8 Milan Falešník 2015-11-20 08:50:12 EST
Verified in 5.5.0.11, there is no longer such an error in evm.log.
Comment 10 errata-xmlrpc 2015-12-08 08:40:51 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.